Awkward Array: include/awkward/python/types.h File Reference

Loading...
Searching...
No Matches
Functions
types.h File Reference
`#include <pybind11/pybind11.h>`
`#include "awkward/type/Type.h"`
`#include "awkward/type/ArrayType.h"`
`#include "awkward/type/ListType.h"`
`#include "awkward/type/OptionType.h"`
`#include "awkward/type/PrimitiveType.h"`
`#include "awkward/type/RecordType.h"`
`#include "awkward/type/RegularType.h"`
`#include "awkward/type/UnionType.h"`
`#include "awkward/type/UnknownType.h"`
`#include "awkward/python/util.h"`

Go to the source code of this file.

## Functions
py::class_< ak::Type, std::shared_ptr< ak::Type > > | make_Type (const py::handle &m, const std::string &name)
py::class_< ak::ArrayType, std::shared_ptr< ak::ArrayType >, ak::Type > | make_ArrayType (const py::handle &m, const std::string &name)
py::class_< ak::ListType, std::shared_ptr< ak::ListType >, ak::Type > | make_ListType (const py::handle &m, const std::string &name)
py::class_< ak::OptionType, std::shared_ptr< ak::OptionType >, ak::Type > | make_OptionType (const py::handle &m, const std::string &name)
py::class_< ak::PrimitiveType, std::shared_ptr< ak::PrimitiveType >, ak::Type > | make_PrimitiveType (const py::handle &m, const std::string &name)
py::class_< ak::RecordType, std::shared_ptr< ak::RecordType >, ak::Type > | make_RecordType (const py::handle &m, const std::string &name)
py::class_< ak::RegularType, std::shared_ptr< ak::RegularType >, ak::Type > | make_RegularType (const py::handle &m, const std::string &name)
py::class_< ak::UnionType, std::shared_ptr< ak::UnionType >, ak::Type > | make_UnionType (const py::handle &m, const std::string &name)
py::class_< ak::UnknownType, std::shared_ptr< ak::UnknownType >, ak::Type > | make_UnknownType (const py::handle &m, const std::string &name)

## Function Documentation

## ◆ make_ArrayType()

py::class_< ak::ArrayType, std::shared_ptr< ak::ArrayType >, ak::Type > make_ArrayType | ( | const py::handle & | m,
|  | const std::string & | name
| ) |  |

## ◆ make_ListType()

py::class_< ak::ListType, std::shared_ptr< ak::ListType >, ak::Type > make_ListType | ( | const py::handle & | m,
|  | const std::string & | name
| ) |  |

## ◆ make_OptionType()

py::class_< ak::OptionType, std::shared_ptr< ak::OptionType >, ak::Type > make_OptionType | ( | const py::handle & | m,
|  | const std::string & | name
| ) |  |

## ◆ make_PrimitiveType()

py::class_< ak::PrimitiveType, std::shared_ptr< ak::PrimitiveType >, ak::Type > make_PrimitiveType | ( | const py::handle & | m,
|  | const std::string & | name
| ) |  |

## ◆ make_RecordType()

py::class_< ak::RecordType, std::shared_ptr< ak::RecordType >, ak::Type > make_RecordType | ( | const py::handle & | m,
|  | const std::string & | name
| ) |  |

## ◆ make_RegularType()

py::class_< ak::RegularType, std::shared_ptr< ak::RegularType >, ak::Type > make_RegularType | ( | const py::handle & | m,
|  | const std::string & | name
| ) |  |

## ◆ make_Type()

py::class_< ak::Type, std::shared_ptr< ak::Type > > make_Type | ( | const py::handle & | m,
|  | const std::string & | name
| ) |  |

## ◆ make_UnionType()

py::class_< ak::UnionType, std::shared_ptr< ak::UnionType >, ak::Type > make_UnionType | ( | const py::handle & | m,
|  | const std::string & | name
| ) |  |

## ◆ make_UnknownType()

py::class_< ak::UnknownType, std::shared_ptr< ak::UnknownType >, ak::Type > make_UnknownType | ( | const py::handle & | m,
|  | const std::string & | name
| ) |  |